Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.classpath
Class ClasspathChangeEvent

    java.lang.Object
      java.util.EventObject
          org.gjt.jclasslib.browser.config.classpath.ClasspathChangeEvent

All Implemented Interfaces:
  Serializable

public class ClasspathChangeEvent
extends EventObject

Change event for `ClasspathChangeListener`s.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ClasspathChangeEvent(Object source, boolean removal)` Constructor.

Method Summary
`boolean` | `isRemoval()` Return whether a classpath entry has been removed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClasspathChangeEvent

    public ClasspathChangeEvent(Object source,
                                boolean removal)

  Constructor.

Parameters:
  `source` - the source object
  `removal` - if a classpath entry has been removed.

Method Detail

### isRemoval

    public boolean isRemoval()

  Return whether a classpath entry has been removed.

  Returns:
    the value

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD